$(function() {
	carousel();
	secondaryNav();
    $(".leftmenu li").click(function(){
        var $ul= $(this).find("ul").eq(0);
        if($ul.is(":hidden")){
            $(this).parent().find("ul").slideUp(400);
            $ul.slideDown(400);
            //return false;
        }
    });
});


function carousel() {
	var carousel = $('.carousel'),
		decor = carousel.find('.carousel-decor');

	if (carousel.length) {
		var nav = carousel.find('.carousel-nav'),
			carousel_nav = carousel.find('.carousel-nav');

		carousel.find('li').each(function() {
			nav.append('<div>&nbsp;</div>');
		});

		if (carousel.find('li').length > 1) {
			carousel_nav.show();
			carousel.find('.items').jCarouselLite({
				auto: true,
				visible: 1,
				speed: 800,
				timeout: 8000,
				afterEnd: function(a) {
					setLink(a);
				},
				btnGo: carousel.find('.carousel-nav div')
			});
		}

		function setLink(li) {
			var link = li.find('a');
			if (link.length) {
				decor.attr('href', link.attr('href'));
			} else {
				decor.attr('href', '#')
			}
		}

		if (decor.attr('href') == '#') {
			decor.click(function() {
				return false;
			});
		}
	}
}
//---------------------

function secondaryNav() {
	var nav = $('nav.secondary'),
		items = nav.find('> ul > li'),
		submenus = items.find('ul'),
		prevAllWidth = 0;

	items.hover(
		function() {
			$(this).find('ul').fadeIn(50).css({
				left: function() {
					$(this).closest('li').prevAll().each(function() {
						prevAllWidth += $(this).outerWidth(true);
					});
					return nav.offset().left - $('.container').offset().left - $(this).closest('li').width() - 60 - prevAllWidth;
				}
			});
		},
		function() {
			$(this).find('ul').fadeOut(100);
			prevAllWidth = 0;
		}
	);

	submenus.hover(
		function() {
			$(this).closest('li').addClass('active');
		},
		function() {
			$(this).closest('li').removeClass('active');
		}
	)
}

//----------------------
// делим выпадающее меню на колонки

(function($) {
    var defaults = {
        columns: 2,
        classname: 'column',
        min: 1
    };

    $.fn.autocolumnlist = function(params){

        var options = $.extend({}, defaults, params);

        return this.each(function() {

            var els = $(this).find('li');
            var dimension = els.size();

            if (dimension > 0) {
                var elCol = Math.ceil(dimension/options.columns);
                if (elCol < options.min) {
                    elCol = options.min;
                }
                var start = 0;
                var end = elCol;

                for (i=0; i<options.columns; i++) {
                    // Add "last" class for last column
                    if ((i + 1) == options.columns) {
                        els.slice(start, end).wrapAll('<div class="'+options.classname+' last" />');
                    } else {
                        els.slice(start, end).wrapAll('<div class="'+options.classname+'" />');
                    }
                    start = start+elCol;
                    end = end+elCol;
                }
            }
        });
    };
})(jQuery);
$('.secondary ul li ul').autocolumnlist({ columns: 2, min: 1 });

//-------------------- Tabs

(function($) {
 $(function() {

   $('.kr-tabs ul.tabs').on('click', 'li:not(.current)', function() {
     $(this).addClass('current').siblings().removeClass('current')
       .parents('div.kr-tabs').find('div.box').eq($(this).index()).fadeIn(150).siblings('div.box').hide();
   })

})
})(jQuery);

//-------------------- Tabs 2

(function($) {
 $(function() {

   $('.fin-tabs ul.tabs').on('click', 'li:not(.current)', function() {
     $(this).addClass('current').siblings().removeClass('current')
       .parents('div.fin-tabs').find('div.box').eq($(this).index()).fadeIn(150).siblings('div.box').hide();
   })

})
})(jQuery);

//-------------------- Accordeon

$(document).ready(function () {
    $('.box > ul > li >span').click(
        function () {
            $('.box > ul > li > ul').slideUp(200);
            $('.box > ul > li').removeClass('opened pre-opened');
            if ($(this).parent('li').find('ul').is(':hidden')) {
                $(this).parent('li').find('ul').slideDown(200);
                $(this).parent('li').addClass('opened');
                $(this).parent('li').prev('li').addClass('pre-opened');
            }
        })
});